package com.mdd.admin.validate.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("用户搜索参数")
public class UserSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("渠道")
   private Integer channel;
   @ApiModelProperty("关键词")
   private String keyword;
   @ApiModelProperty("开始时间")
   private String startTime;
   @ApiModelProperty("结束时间")
   private String endTime;

   public Integer getChannel() {
      return this.channel;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setChannel(Integer channel) {
      this.channel = channel;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserSearchValidate)) {
         return false;
      } else {
         UserSearchValidate other = (UserSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$channel = this.getChannel();
               Object other$channel = other.getChannel();
               if (this$channel == null) {
                  if (other$channel == null) {
                     break label59;
                  }
               } else if (this$channel.equals(other$channel)) {
                  break label59;
               }

               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $channel = this.getChannel();
      result = result * 59 + ($channel == null ? 43 : $channel.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      return result;
   }

   public String toString() {
      return "UserSearchValidate(channel=" + this.getChannel() + ", keyword=" + this.getKeyword() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
